# 激活优惠券促销活动

激活优惠券促销活动。
默认情况下创建的优惠券促销活动为禁用状态。
激活之前，不能进行兑换。
使用此端点启用和激活优惠券促销活动。

Endpoint: PUT /v2/project/{project_id}/admin/coupon/{external_id}/activate
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `external_id` (integer, required)
    促销活动外部ID。项目内的唯一促销活动标识符。
    Example: "coupon_44056_1"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-9802]: Coupon not found"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 9502

  - `errorMessage` (string)
    Example: "[0401-9502]: Error occurred while receiving the promotion from the promotion service"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


## Response 204 fields
